// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "PrefabTool.hpp"

using namespace Dawn;

std::vector<std::string> PrefabTool::getRequiredFlags() {
  return { "input" };
}

std::map<std::string, std::string> PrefabTool::getOptionalFlags() {
  return std::map<std::string, std::string>();
}

int32_t PrefabTool::start() {
  File input = File(flags["input"]);
  if(!input.exists()) {
    std::cout << "Input file does not exist!" << std::endl;
    return 1;
  }

  std::cout << "Input: " << input.filename << std::endl;

  return 0;
}